[arch-commits] Commit in octave/repos (3 files)

Ronald van Haren ronald at archlinux.org
Thu Oct 16 16:39:18 EDT 2008


    Date: Thursday, October 16, 2008 @ 16:39:18
  Author: ronald
Revision: 15661

Merged revisions 15656 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/octave/trunk

........
  r15656 | ronald | 2008-10-16 21:52:23 +0200 (Thu, 16 Oct 2008) | 1 line
  
  upgpkg: octave 3.0.3-1
........

Modified:
  octave/repos/extra-i686/	(properties)
  octave/repos/extra-i686/PKGBUILD
  octave/repos/extra-i686/octave.install

----------------+
 PKGBUILD       |    8 ++++++--
 octave.install |   19 ++++++++++++-------
 2 files changed, 18 insertions(+), 9 deletions(-)


Property changes on: octave/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /octave/trunk:1-11765
   + /octave/trunk:1-15660

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-16 20:36:34 UTC (rev 15660)
+++ extra-i686/PKGBUILD	2008-10-16 20:39:18 UTC (rev 15661)
@@ -4,7 +4,7 @@
 # Contributor : cyberdune <cyberdune at gmail.com>
 
 pkgname=octave
-pkgver=3.0.2
+pkgver=3.0.3
 pkgrel=1
 pkgdesc="A high-level language, primarily intended for numerical computations."
 arch=('i686' 'x86_64')
@@ -20,7 +20,7 @@
 source=("ftp://ftp.octave.org/pub/octave/octave-$pkgver.tar.bz2")
 options=('!emptydirs')
 install=octave.install
-md5sums=('931e28ab1181018c8079fb8138971ab0')
+md5sums=('38d258d60242cf4844e3c4350691ccff')
 
 build() {
   cd "$srcdir/octave-$pkgver"
@@ -35,5 +35,9 @@
 
   make || return 1
   make DESTDIR="$pkgdir" install || return 1
+
+  cd $pkgdir/usr/share/info
+  rm -f dir
+  gzip * || return 1
 }
 

Modified: extra-i686/octave.install
===================================================================
--- extra-i686/octave.install	2008-10-16 20:36:34 UTC (rev 15660)
+++ extra-i686/octave.install	2008-10-16 20:39:18 UTC (rev 15661)
@@ -1,4 +1,6 @@
-# arg 1:  the new package version
+info_dir=/usr/share/info
+info_files=(octave.info octave.info-1 octave.info-2 octave.info-3 octave.info-4 octave.info-5)
+
 post_install() {
 cat << _EOF
 
@@ -9,15 +11,18 @@
      Please read the NEWS file (http://www.gnu.org/software/octave/NEWS-3.html).
 
 _EOF
+
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
 	post_install
 }
 
-op=$1
-shift
-
-$op $*
+pre_remove() {
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list